#include<fstream>
#include<cmath>
using namespace std;
ifstream fi("TONGUOC.inp");
ofstream fo("TONGUOC.out");
long long n;
long long tu(long long n)
{
	int r=1+n;
	for(int i=2;i*i<=n;i++)
	{
		if(n%i==0)
		{
			r+=i;
			if(i==(n/i))
			{
				
			}
			else{
				r+=(n/i);
			}
			
		}
	}
	return r;
}
long long pw(long long n,long long m )
{
	int h=1;
	for(int i=1;i<=m;i++)
	{
		h*=n;
	}
	return h;
}
long long t(long long n)
{
	long long y=1;
	int s=0;
	for(int i=2;i<=sqrt(n);i++)
	{	
		s=0;
		while(n%i==0)
			{
				n=n/i;
				s++;
			}
			y*=(pw(i,s+1)-1)/(i-1);
	}
	if(n!=1) y*=pw(n,2)/(n-1);
	return y;
}
int main()
{
	fi>>n;
	//fo<<tu(n);
	fo<<t(n);
	fi.close();
	fo.close();
}
